Name:          openalchemist
Version:       0.4
Release:       %mkrel 2
Summary:       Free clone of naturalchimie (puzzle game)
License:       GPLv2+ and CC-BY-SA
Group:         Games/Puzzles
URL:           http://openalchemist.sourceforge.net/index.html
#Source:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz 
# There's no tarball for version 0.4, it is only tagged in the repository
# svn export https://openalchemist.svn.sourceforge.net/svnroot/openalchemist/tags/0.4 openalchemist-0.4-src
Source:        %{name}-%{version}-src.tar.gz
BuildRequires: clanlib2.1-devel
BuildRequires: zip freetype-devel fontconfig-devel libx11-devel

%description
OpenAlchemist is a new game project developed with C++ language and 
Clanlib framework. 
Our goal is to reimplement the game www.naturalchimie.com with free 
softwares and with free licenses (GNU GPL for code and Creative 
Commons for graphics).

%prep
%setup -q -n %{name}-%{version}-src

%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make 

%install
rm -fr %{buildroot}
%makeinstall_std
install -d %{buildroot}{%{_datadir}/applications,%{_datadir}/pixmaps}
mv .desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
mv data/logo.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%files 
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-config
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog

* Sun Sep 18 2011 zezinho <zezinho> 0.4-2.mga2
+ Revision: 144747
- missing BR
- BR corrected to get 2.1 version of clanlib
- use provided desktop file
- svn version from fedora rpm
- new version from svn : 0.4

* Tue Sep 06 2011 stormi <stormi> 0.3-3.mga2
+ Revision: 139475
- clean spec

  + zezinho <zezinho>
    - imported package openalchemist


* Mon Sep 14 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.3-3mdv2010.0
+ Revision: 440370
- rebuild

* Mon Apr 06 2009 Funda Wang <fundawang@mandriva.org> 0.3-2mdv2009.1
+ Revision: 364306
- fix group

* Thu Nov 20 2008 Adam Williamson <awilliamson@mandriva.org> 0.3-1mdv2009.1
+ Revision: 305358
- adjust build as it uses proper autofoo now
- drop fix-build.patch and fixMakefile.patch (both superseded upstream)
- new release 0.3

* Wed Sep 17 2008 Funda Wang <fundawang@mandriva.org> 0.2-5mdv2009.0
+ Revision: 285379
- fix desktop entry
- renew license

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2-4mdv2009.0
+ Revision: 254555
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.2-2mdv2008.1
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - do not harcode icon extension
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Thu Jan 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.2-2mdv2007.0
+ Revision: 107379
- Fix BuildRequires
- Fix BuildRequires
- Fix menu icon
- Import openalchemist

